Need flasher and firmware for ATAPI Lite-On iHAP322 9 6L19

The latest MCSE 1.2.0.2 (9 Aug 2009) supports this Lite-On ATAPI iHAP322 9 6L19 drive but where do I find the flasher and firmware?

It’s a new retail drive which came with 6L19 firmware already installed, which is probably the latest (and only) version available.
I asked Lite-On but they only referred me to their SmartPack firmware checker, but nothing is found that way.
Note that iHAP322 8 firmware does not work with this model. It requires iHAP322 9 firmware.

In the future, questions like this belong in the Lite-On forum. You’re more likely to get help that way:

http://club.myce.com/f44/